/*
 * Class EV_MODEL_WORLD
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_889 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_889 [] = {0xFF01,1551,888,0xFFFF};
static const EIF_TYPE_INDEX egt_2_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_3_889 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_889 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_6_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_7_889 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_889 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_889 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_889 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_889 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_13_889 [] = {1594,0xFF01,0,0xFF01,0xFFF9,1,840,0,0xFF01,133,0xFFFF};
static const EIF_TYPE_INDEX egt_14_889 [] = {1594,0xFF01,0,0xFF01,0xFFF9,0,840,0,0xFFFF};
static const EIF_TYPE_INDEX egt_15_889 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_16_889 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_17_889 [] = {0xFF01,638,0xFFFF};
static const EIF_TYPE_INDEX egt_18_889 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_19_889 [] = {0xFF01,648,0xFFFF};
static const EIF_TYPE_INDEX egt_20_889 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_21_889 [] = {0xFF01,1997,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_22_889 [] = {0xFF01,74,0xFFFF};
static const EIF_TYPE_INDEX egt_23_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_24_889 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_25_889 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_26_889 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_27_889 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_28_889 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_29_889 [] = {0xFF01,624,0xFFFF};
static const EIF_TYPE_INDEX egt_30_889 [] = {0xFF01,1547,0xFF01,623,0xFFFF};
static const EIF_TYPE_INDEX egt_31_889 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_32_889 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_33_889 [] = {0xFF01,2094,869,0xFFFF};
static const EIF_TYPE_INDEX egt_34_889 [] = {0xFF01,1292,0xFFFF};
static const EIF_TYPE_INDEX egt_35_889 [] = {0xFF01,128,0xFFFF};
static const EIF_TYPE_INDEX egt_36_889 [] = {0xFF01,2094,869,0xFFFF};
static const EIF_TYPE_INDEX egt_37_889 [] = {0xFF01,1889,869,0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_38_889 [] = {0xFF01,623,0xFFFF};
static const EIF_TYPE_INDEX egt_39_889 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_40_889 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_41_889 [] = {1594,0xFF01,0,0xFF01,0xFFF9,0,840,0,0xFFFF};
static const EIF_TYPE_INDEX egt_42_889 [] = {0xFF01,1560,0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_43_889 [] = {0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_44_889 [] = {0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_45_889 [] = {0xFF01,1547,0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_46_889 [] = {0xFF01,1559,0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_47_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_48_889 [] = {0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_49_889 [] = {0xFF01,603,0xFFFF};
static const EIF_TYPE_INDEX egt_50_889 [] = {0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_51_889 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_52_889 [] = {0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_53_889 [] = {0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_54_889 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_55_889 [] = {0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_56_889 [] = {0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_57_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_58_889 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_59_889 [] = {0xFF01,623,0xFFFF};
static const EIF_TYPE_INDEX egt_60_889 [] = {0xFF01,623,0xFFFF};
static const EIF_TYPE_INDEX egt_61_889 [] = {0xFF01,1547,0xFF01,623,0xFFFF};
static const EIF_TYPE_INDEX egt_62_889 [] = {0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_63_889 [] = {0xFF01,1547,0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_64_889 [] = {0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_65_889 [] = {0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_66_889 [] = {0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_67_889 [] = {0xFF01,1554,0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_68_889 [] = {0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_69_889 [] = {0xFF01,610,0xFFFF};
static const EIF_TYPE_INDEX egt_70_889 [] = {0xFF01,1578,0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_71_889 [] = {0xFF01,1664,0xFF01,886,869,0xFFFF};
static const EIF_TYPE_INDEX egt_72_889 [] = {0xFF01,962,0xFFFF};
static const EIF_TYPE_INDEX egt_73_889 [] = {869,0xFFFF};


static const struct desc_info desc_889[] = {
	{EIF_GENERIC(NULL), 22413, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_889), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_889), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_889), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_889), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_889), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_889), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_889), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_889), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_889), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_889), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_889), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_889), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22386, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06F1 /*888*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_889), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16834, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x054F /*679*/), 16829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16830, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16831, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16835, 124},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6856, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6857, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6858, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6859, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6933, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6935, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6936, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6937, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6938, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6939, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6940, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6941, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6942, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6943, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6944, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6945, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6946, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6947, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6948, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6928, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6929, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6930, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6931, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6932, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22295, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 22296, 92},
	{EIF_NON_GENERIC(0x071F /*911*/), 16900, 4},
	{EIF_GENERIC(egt_13_889), 16901, 8},
	{EIF_GENERIC(egt_14_889), 22297, 88},
	{EIF_GENERIC(egt_15_889), 22321, 84},
	{EIF_GENERIC(egt_16_889), 22322, 80},
	{EIF_GENERIC(NULL), 22313, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22314, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22315, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16902, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16903, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22317, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22318, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_889), 22242, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_889), 22241, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_889), 22240, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_889), 22243, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16896, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22385, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_889), 16898, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_889), 16899, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22292, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22293, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 22358, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0791 /*968*/), 22298, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06EF /*887*/), 22299, 12},
	{EIF_GENERIC(egt_23_889), 22396, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22370, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22371, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22372, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22373, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22381, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22305, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22306, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22307, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22308, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22309, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22310, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22311, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22312, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22362, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22364, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22319, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22320, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22323, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22324, 109},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22325, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22326, 110},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22327, 111},
	{EIF_GENERIC(NULL), 22328, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22329, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22234, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22235, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22236, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22237, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22238, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22239, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_889), 22244, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_889), 22245, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_889), 22246, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_889), 22247, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_889), 22248, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22341, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_889), 22342, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22250, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22251, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_889), 22252, 16},
	{EIF_GENERIC(NULL), 22339, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22340, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04E1 /*624*/), 22368, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04E1 /*624*/), 22256, 20},
	{EIF_NON_GENERIC(0x04E1 /*624*/), 22369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 22258, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22259, 128},
	{EIF_NON_GENERIC(0x04E1 /*624*/), 22260, 24},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22261, 112},
	{EIF_GENERIC(NULL), 22262, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22263, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22343, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_889), 22265, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_889), 22266, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22267, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0511 /*648*/), 22268, 28},
	{EIF_NON_GENERIC(0x051F /*655*/), 22269, 32},
	{EIF_NON_GENERIC(0x051F /*655*/), 22270, 36},
	{EIF_NON_GENERIC(0x051F /*655*/), 22271, 40},
	{EIF_NON_GENERIC(0x051D /*654*/), 22272, 44},
	{EIF_NON_GENERIC(0x051D /*654*/), 22273, 48},
	{EIF_NON_GENERIC(0x04FD /*638*/), 22274, 52},
	{EIF_NON_GENERIC(0x051D /*654*/), 22275, 56},
	{EIF_NON_GENERIC(0x04ED /*630*/), 22276, 60},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22277, 132},
	{EIF_GENERIC(egt_33_889), 22278, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_889), 22279, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A19 /*1292*/), 22280, 64},
	{EIF_NON_GENERIC(0x0791 /*968*/), 22281, 68},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22282, 113},
	{EIF_GENERIC(egt_35_889), 22283, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_889), 22284, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_889), 22285, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22286, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_889), 22287, 72},
	{EIF_GENERIC(NULL), 22347, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04E1 /*624*/), 22288, 76},
	{EIF_GENERIC(egt_39_889), 22322, 80},
	{EIF_GENERIC(egt_40_889), 22321, 84},
	{EIF_GENERIC(egt_41_889), 22297, 88},
	{EIF_NON_GENERIC(0x01 /*0*/), 22296, 92},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22366, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8599, 108},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_42_889), 8759, 0xFFFFFFFF},
	{EIF_GENERIC(egt_43_889), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13831, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9385, 0xFFFFFFFF},
	{EIF_GENERIC(egt_44_889), 13813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9231, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9232, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9075, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22330, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22331, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9355, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22357, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22356, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22337, 0xFFFFFFFF},
	{EIF_GENERIC(egt_45_889), 13812, 0xFFFFFFFF},
	{EIF_GENERIC(egt_46_889), 13821, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13826, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13837, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13857, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13805, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22382, 0xFFFFFFFF},
	{EIF_GENERIC(egt_47_889), 13807, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13818, 120},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12004, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13818, 120},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_48_889), 8752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8753, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12449, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13840, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13841, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13830, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13833, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13836, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9235, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22383, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11997, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13860, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22332, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22335, 0xFFFFFFFF},
	{EIF_GENERIC(egt_49_889), 13819, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13834, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13844, 0xFFFFFFFF},
	{EIF_GENERIC(egt_50_889), 13814, 0xFFFFFFFF},
	{EIF_GENERIC(egt_51_889), 12008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13835, 0xFFFFFFFF},
	{EIF_GENERIC(egt_52_889), 13814, 0xFFFFFFFF},
	{EIF_GENERIC(egt_53_889), 13815, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13835, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13847, 0xFFFFFFFF},
	{EIF_GENERIC(egt_54_889), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_55_889), 13816, 0xFFFFFFFF},
	{EIF_GENERIC(egt_56_889), 13817, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13838, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13843, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12015, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12018, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22338, 0xFFFFFFFF},
	{EIF_GENERIC(egt_57_889), 13803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8748, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12450, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13842, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8750, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9388, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9389, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9384, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9386, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13856, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13858, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13846, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13850, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13851, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22333, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22334, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13798, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13799, 0xFFFFFFFF},
	{EIF_GENERIC(egt_58_889), 13804, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9750, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9752, 0xFFFFFFFF},
	{EIF_GENERIC(egt_59_889), 9753, 0xFFFFFFFF},
	{EIF_GENERIC(egt_60_889), 9754, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22359, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9755, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22360, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9756, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9757, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22374, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9758, 0xFFFFFFFF},
	{EIF_GENERIC(egt_61_889), 22252, 16},
	{EIF_NON_GENERIC(0x06EF /*887*/), 22299, 12},
	{EIF_GENERIC(egt_62_889), 13813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13839, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13822, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13824, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13825, 0xFFFFFFFF},
	{EIF_GENERIC(egt_63_889), 10415, 0},
	{EIF_GENERIC(NULL), 10408, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10409, 0xFFFFFFFF},
	{EIF_GENERIC(egt_64_889), 10410, 0xFFFFFFFF},
	{EIF_GENERIC(egt_65_889), 10411, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10412, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10413, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10414, 0xFFFFFFFF},
	{EIF_GENERIC(egt_66_889), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_67_889), 11009, 0xFFFFFFFF},
	{EIF_GENERIC(egt_68_889), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12361, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13802, 0xFFFFFFFF},
	{EIF_GENERIC(egt_69_889), 13017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22384, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22336, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_70_889), 22361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22365, 114},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22367, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22375, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22376, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22377, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22378, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22379, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04E1 /*624*/), 22344, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22345, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 22346, 144},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22348, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22349, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22406, 0xFFFFFFFF},
	{EIF_GENERIC(egt_71_889), 22351, 96},
	{EIF_GENERIC(NULL), 22352, 0xFFFFFFFF},
	{EIF_GENERIC(egt_72_889), 22387, 100},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22388, 115},
	{EIF_NON_GENERIC(0x06ED /*886*/), 22389, 104},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22390, 116},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22391, 117},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22392, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22393, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22394, 136},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22395, 140},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22397, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22398, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22399, 118},
	{EIF_GENERIC(NULL), 22400, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22401, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22402, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22403, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22404, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22405, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22407, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22408, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22409, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22410, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22411, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22412, 0xFFFFFFFF},
	{EIF_GENERIC(egt_73_889), -1, 0xFFFFFFFF},
};
void Init889(void)
{
	IDSC(desc_889, 0, 888);
	IDSC(desc_889 + 1, 1, 888);
	IDSC(desc_889 + 32, 791, 888);
	IDSC(desc_889 + 34, 1503, 888);
	IDSC(desc_889 + 37, 1187, 888);
	IDSC(desc_889 + 42, 902, 888);
	IDSC(desc_889 + 47, 371, 888);
	IDSC(desc_889 + 61, 1281, 888);
	IDSC(desc_889 + 82, 700, 888);
	IDSC(desc_889 + 84, 1005, 888);
	IDSC(desc_889 + 105, 995, 888);
	IDSC(desc_889 + 195, 1134, 888);
	IDSC(desc_889 + 204, 1395, 888);
	IDSC(desc_889 + 206, 1060, 888);
	IDSC(desc_889 + 212, 878, 888);
	IDSC(desc_889 + 213, 288, 888);
	IDSC(desc_889 + 228, 1444, 888);
	IDSC(desc_889 + 237, 554, 888);
	IDSC(desc_889 + 238, 1135, 888);
	IDSC(desc_889 + 247, 254, 888);
	IDSC(desc_889 + 250, 1570, 888);
	IDSC(desc_889 + 253, 916, 888);
	IDSC(desc_889 + 259, 636, 888);
	IDSC(desc_889 + 273, 1245, 888);
	IDSC(desc_889 + 276, 586, 888);
	IDSC(desc_889 + 282, 340, 888);
	IDSC(desc_889 + 290, 1659, 888);
	IDSC(desc_889 + 304, 1534, 888);
	IDSC(desc_889 + 311, 1422, 888);
	IDSC(desc_889 + 320, 1088, 888);
	IDSC(desc_889 + 322, 658, 888);
	IDSC(desc_889 + 323, 617, 888);
	IDSC(desc_889 + 325, 387, 888);
	IDSC(desc_889 + 327, 778, 888);
	IDSC(desc_889 + 328, 1558, 888);
	IDSC(desc_889 + 345, 722, 888);
	IDSC(desc_889 + 369, 794, 888);
}


#ifdef __cplusplus
}
#endif
